org.apache.sysds.runtime.meta

## Class MetaDataAll

- java.lang.Object
- - org.apache.sysds.parser.Expression
  - - org.apache.sysds.parser.Identifier
    - - org.apache.sysds.parser.DataIdentifier
      - - org.apache.sysds.runtime.meta.MetaDataAll

- All Implemented Interfaces:
    ParseInfo

      public class MetaDataAll
      extends DataIdentifier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.parser.Expression

      `Expression.BinaryOp, Expression.BooleanOp, Expression.DataOp, Expression.FunctCallOp, Expression.RelationalOp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaDataAll()`
    `MetaDataAll(BufferedReader br)`
    `MetaDataAll(String meta)`
    `MetaDataAll(String mtdFileName, boolean conditional, boolean parseMeta)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addVarParam(String name, Expression value, HashMap<String,Expression> varParams)`
    `static String` | `checkHasDelimitedFormat(String filename, boolean conditional)`
    `static boolean` | `checkHasMatrixMarketFormat(String inputFileName, String mtdFileName, boolean conditional)`
    `DataCharacteristics` | `getDataCharacteristics()`
    `String` | `getDelim()`
    `String` | `getFineGrainedPrivacy()`
    `String` | `getFormatTypeString()`
    `boolean` | `getHasHeader()`
    `String` | `getSchema()`
    `boolean` | `getSparseDelim()`
    `boolean` | `mtdExists()`
    `CacheableData<?>` | `parseAndSetPrivacyConstraint(CacheableData<?> cd)`
    `HashMap<String,Expression>` | `parseMetaDataFileParameters(String mtdFileName, boolean conditional, HashMap<String,Expression> varParams)`
    `org.apache.wink.json4j.JSONObject` | `readMetadataFile(String filename, boolean conditional)`
    `void` | `setDelim(String delim)`
    `void` | `setFineGrainedPrivacy(String fineGrainedPrivacy)`
    `void` | `setFormatTypeString(String format)`
    `void` | `setHasHeader(boolean hasHeader)`
    `void` | `setSchema(String schema)`
    `void` | `setSparseDelim(boolean sparseDelim)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.sysds.parser.DataIdentifier

      `equals, getName, hashCode, multipleReturns, rewriteExpression, setName, variablesRead, variablesUpdated`

    - ### Methods inherited from class org.apache.sysds.parser.Identifier

      `computeDataType, dimsKnown, getBlocksize, getDataType, getDim1, getDim2, getFileFormat, getNnz, getPrivacy, getValueType, isScalarBoolean, setBlocksize, setBooleanProperties, setDataType, setDimensions, setDimensionValueProperties, setFileFormat, setIntProperties, setNnz, setPrivacy, setPrivacy, setProperties, setValueType, validateExpression`

    - ### Methods inherited from class org.apache.sysds.parser.Expression

      `computeDataType, computeDataType, computeValueType, computeValueType, computeValueType, convertFormatType, getBeginColumn, getBeginLine, getBinaryMatrixCharacteristics, getBinaryOp, getBooleanOp, getEndColumn, getEndLine, getFilename, getOutput, getOutputs, getParseExceptionList, getRelationalOp, getTempName, getText, printErrorLocation, printInfoLocation, printWarningLocation, raiseValidateError, raiseValidateError, raiseValidateError, setBeginColumn, setBeginLine, setCtxValues, setCtxValuesAndFilename, setEndColumn, setEndLine, setFilename, setOutput, setParseExceptionList, setParseInfo, setText, validateExpression`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.sysds.parser.ParseInfo

      `ctxAndFilenameToParseInfo`

- - ### Constructor Detail

    - #### MetaDataAll

          public MetaDataAll()

    - #### MetaDataAll

          public MetaDataAll(String meta)

    - #### MetaDataAll

          public MetaDataAll(BufferedReader br)

    - #### MetaDataAll

          public MetaDataAll(String mtdFileName,
                             boolean conditional,
                             boolean parseMeta)

  - ### Method Detail

    - #### readMetadataFile

          public org.apache.wink.json4j.JSONObject readMetadataFile(String filename,
                                                                    boolean conditional)

    - #### mtdExists

          public boolean mtdExists()

    - #### parseAndSetPrivacyConstraint

          public CacheableData<?> parseAndSetPrivacyConstraint(CacheableData<?> cd)
                                                        throws org.apache.wink.json4j.JSONException

      Throws:
        `org.apache.wink.json4j.JSONException`

    - #### getFormatTypeString

          public String getFormatTypeString()

    - #### getFineGrainedPrivacy

          public String getFineGrainedPrivacy()

    - #### getDelim

          public String getDelim()

    - #### getSchema

          public String getSchema()

    - #### getHasHeader

          public boolean getHasHeader()

    - #### getSparseDelim

          public boolean getSparseDelim()

    - #### setSparseDelim

          public void setSparseDelim(boolean sparseDelim)

    - #### setHasHeader

          public void setHasHeader(boolean hasHeader)

    - #### setFineGrainedPrivacy

          public void setFineGrainedPrivacy(String fineGrainedPrivacy)

    - #### setSchema

          public void setSchema(String schema)

    - #### setDelim

          public void setDelim(String delim)

    - #### setFormatTypeString

          public void setFormatTypeString(String format)

    - #### getDataCharacteristics

          public DataCharacteristics getDataCharacteristics()

    - #### parseMetaDataFileParameters

          public HashMap<String,Expression> parseMetaDataFileParameters(String mtdFileName,
                                                                        boolean conditional,
                                                                        HashMap<String,Expression> varParams)

    - #### addVarParam

          public void addVarParam(String name,
                                  Expression value,
                                  HashMap<String,Expression> varParams)

    - #### checkHasDelimitedFormat

          public static String checkHasDelimitedFormat(String filename,
                                                       boolean conditional)

    - #### checkHasMatrixMarketFormat

          public static boolean checkHasMatrixMarketFormat(String inputFileName,
                                                           String mtdFileName,
                                                           boolean conditional)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `DataIdentifier`

Copyright © 2021 The Apache Software Foundation. All rights reserved.